#!/bin/bash 
# install plugin in the standard childsplay path  

PREFIX=/usr/local
LOCALEDIR=/usr/share/locale
ASSETMLDIR=/usr/share/assetml
DOCDIR=$PREFIX/doc/childsplay
MANDIR=$PREFIX/man
DESTDIR=$PREFIX/games/childsplay
LIBDIR=$DESTDIR/lib

###########################################################
#    DO NOT EDIT BEHIND THIS POINT
# Unless your know what to edit
##########################################################

##################################################
#  Package text to be displayed as last step
# 0 = no readmes to display, 1 = there are readmes
README=1
# if README=1 then READMES=names of readmes in CWD
# like this READMES="README README2 README3"
READMES="README README-PACKID"
# Dependencie, which version of childsplay at least
DEPEN=0.70
 
set -e
CWD=`pwd`
# the names of which plugins are to be added to the score file
SCORE="Packid,Numbers,Soundmemory,Fallingletters"

USERID=`id | sed -e 's/).*//; s/^.*(//;'`
if [ "$USERID" != "root" ]; then
    echo " You must be root to install the plugins"
    echo " exit"
    exit 1
fi

echo -e "\n>>>>>>>>>>> Install childsplay plugins >>>>>>>>>>>>>>>>>>>>"
echo -e "\n This release depends on childsplay version $DEPEN"
echo -n " Cheking version = "
VERSION=$(childsplay --version)
echo $VERSION

if [ `expr $VERSION \< $DEPEN` -eq 1 ];then
    echo " Childsplay version incorrect, please upgrade to at least"
    echo " version $DEPEN"
    echo "exit"
    exit 1
fi
   
echo -e "\n The path to install the plugins in is $DESTDIR."
echo " If you have installed childsplay in a other place, you can"
echo " give the full path to childsplay, otherwise just hit enter"
echo " Hit enter to install in $DESTDIR, or give the full path"
read path
if [ $path ];then
    if [ -e $path/install.py ];then
        DESTDIR=path
    else
        echo "*********** WARNING *************"
        echo " $path does not exists or is not the childsplay directory"
        echo " exit"
        exit 1
    fi
fi
echo " Installing in $DESTDIR"

echo "Compiling modules to bytecode..."
/usr/bin/env python $DESTDIR/install.py --compile $CWD/lib
echo " Copy libraries"
cp -rf $CWD/lib/* $LIBDIR
echo " Copy misc. data files"
cp -rf $CWD/Data/*.icon.png $DESTDIR/Data/icons
#echo " Copy locales"
#cp -rf $CWD/locale/* $LOCALEDIR
echo " Copy assetml files"
cp -rf $CWD/assetml/* $ASSETMLDIR

echo -e "\n Trying to add $SCORE to the childsplay score sheet"
echo " Start add-score.py"
/usr/bin/env python add-score.py $DESTDIR $SCORE

echo -e "\n Everything installed, enjoy\n"
echo -e "\n***************** IMPORTANT *************************"
echo "If you find any bugs please put any output in a email"
echo "And send it to: childsplay@users.sourceforge.net."
echo "BUG REPORTS ARE THE MOST IMPORTANT THINGS YOU CAN DO"
echo ""
echo "Example of a bug report:"
echo "Hello,"
echo "I did 'childsplay [enter]' and then this happend:"
echo "Traceback (most recent call last):"
echo "  File \"<pyshell#2>\", line 1, in ?"
echo "    My_feelings = i_get_sick()"
echo "NameError: name 'i_get_sick' is not defined"
echo ""
echo -e "That's all you have to do.\n"

if [ $README == 1 ];then
    echo " Read the README's (if any) that came with these packages,"
    echo " they contains directions on how to translate some"
    echo " text files used by the games in your own language"
    echo -e "\nHit any key to read the readme(s), enter to quit"
    read key
    if [ $key ];then
        for name in $READMES;do
            cat $name >> chplREADMEScat
        done
        /usr/bin/env more chplREADMEScat
        rm chplREADMEScat
    fi
fi
